clang 10.0.0git

Public Member Functions | List of all members
clang::interp::Frame Class Referenceabstract

Base class for stack frames, shared between VM and walker. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/AST/Interp/Frame.h"`

Inheritance diagram for clang::interp::Frame:
[legend]

## Public Member Functions
virtual | ~Frame ()
virtual void | describe (llvm::raw_ostream &OS)=0
| Generates a human-readable description of the call site. More...
virtual Frame * | getCaller () const =0
| Returns a pointer to the caller frame. More...
virtual SourceLocation | getCallLocation () const =0
| Returns the location of the call site. More...
virtual const FunctionDecl * | getCallee () const =0
| Returns the called function's declaration. More...

## Detailed Description

Base class for stack frames, shared between VM and walker.

Definition at line 25 of file Frame.h.

## Constructor & Destructor Documentation

## ◆ ~Frame()

Frame::~Frame | ( |  | ) |
| virtual

Definition at line 14 of file Frame.cpp.

## Member Function Documentation

## ◆ describe()

virtual void clang::interp::Frame::describe | ( | llvm::raw_ostream & | OS | ) |
| pure virtual

Generates a human-readable description of the call site.

Implemented in clang::interp::InterpFrame.

## ◆ getCallee()

virtual const FunctionDecl* clang::interp::Frame::getCallee | ( |  | ) | const
| pure virtual

Returns the called function's declaration.

Implemented in clang::interp::InterpFrame.

## ◆ getCaller()

virtual Frame* clang::interp::Frame::getCaller | ( |  | ) | const
| pure virtual

Returns a pointer to the caller frame.

Implemented in clang::interp::InterpFrame.

Referenced by clang::interp::State::getLangOpts().

## ◆ getCallLocation()

virtual SourceLocation clang::interp::Frame::getCallLocation | ( |  | ) | const
| pure virtual

Returns the location of the call site.

Implemented in clang::interp::InterpFrame.

The documentation for this class was generated from the following files:

- lib/AST/Interp/Frame.h
- lib/AST/Interp/Frame.cpp